<?php
// File: $Id: install.php,v 1.91.2.2 2002/07/28 13:59:50 niceguyeddie Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Hugo Espuny <hec@debian.org>
// Purpose of file: performs DB upgrade for Debian systems
// ----------------------------------------------------------------------


/** initialize vars, and include all necessary files **/

set_time_limit(0);

define('ADODB_DIR', 'pnadodb');
require_once ("pnadodb/adodb.inc.php");

ini_set('register_globals', 'On');

if (isset($alanguage)) {
   $currentlang = $alanguage;
}


if(!isset($prefix))
{
    include_once 'config.php';
    $prefix = $pnconfig['prefix'];
    $dbtype = $pnconfig['dbtype'];
    $dbhost = $pnconfig['dbhost'];
    $dbuname = $pnconfig['dbuname'];
    $dbpass = $pnconfig['dbpass'];
    $dbname = $pnconfig['dbname'];
    $system = $pnconfig['system'];
    $encoded = $pnconfig['encoded'];   
}

if (!empty($encoded)) {
    // Decode username and password
    $dbuname = base64_decode($dbuname);
    $dbpass = base64_decode($dbpass);
}

$pnconfig['prefix'] = $prefix;

include_once 'pntables.php';
include_once 'install/language.php'; // functions for multilanguage support

installer_get_language();

include_once 'install/modify_config.php'; // functions to modify config.php
include_once 'install/upgrade.php';  // functions for upgrades
include_once 'install/newinstall.php'; // functions for new installs
include_once 'install/gui.php'; // functions for rendering the gui
include_once 'install/db.php'; // functions for accessing the db
include_once 'install/check.php'; // functions for various checks

/** print the page header, include style sheets **/
print_header();

/*  This starts the switch statement that filters through the form options.

* the @ is in front of $op to suppress error messages if $op is unset and E_ALL

* is on

*/
         
$dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $dbtype);
do_upgrade71($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
print_success();

/** print the footer, and closing tags **/
print_footer();
?>
